if not ModCore then
	log( "[ERROR] Unable to find ModCore from BeardLib! Is BeardLib installed correctly?" )
	return
end

Fallout4CrosshairCore = Fallout4CrosshairCore or class( ModCore )

function Fallout4CrosshairCore:init()
	self.super.init( self , ModPath .. "config.xml" , true , true )
end

if not _G.Fallout4Crosshair then
	local success, err = pcall( function() Fallout4CrosshairCore:new() end )
	
	if not success then
		log( "[ERROR] An error occured on the initialization of YOUR MOD. " .. tostring( err ) )
	end
end